Scrum - Defect #1555

Sprint stats does not add spent time of child project(s) to Done effort row.
2019-02-21 08:44 - Hoa Le

Status: Resolved

Priority: High

Category: Sprint stats

Target version: Scrum v0.19.0

Source: Development Blocked: No
Detected on version: Scrum v0.19.0 Alone: No
Description

Initially, tasks where add to a project with an empty child project showing expect hours spent time in the Done effort row. Then when
one of the tasks was moved to the child project, the same task Done effort hours was subtracted from row. Please review the
attached pictures and take special note of the red eclipse marks in the attached pictures below. Thanks

History

#1 - 2019-02-21 08:59 - Hoa Le

The expected behavior is that the child project tasks spent time should be added accordingly to the Done effort row.

#2 - 2019-03-05 17:53 - Emilio Gonzalez Montaia
- Target version set to Scrum v0.19.0

- Status changed from New to In progress

Pending of testing for closure.

#3 - 2019-03-07 06:47 - Hoa Le
- File scrum-sprint-fix2.png added

- File scrum-sprint-fix1.png added

Tested with 2 levels deep child projects. Worked as expected.Thank you for the fix Emilio!

#4 - 2019-03-07 18:03 - Emilio Gonzalez Montaina

- Status changed from In progress to Resolved

Merged to main.

Thanks Hoa Le for your support :)

Files

Sprint list of parent only.png 50.7 KB 2019-02-21 Hoa Le
Sprint stats table of parent only.png 19.6 KB 2019-02-21 Hoa Le
Sprint list with task moved to child project.png 57.4 KB 2019-02-21 Hoa Le
Sprint stats table of child spent time missing.png 25.4 KB 2019-02-21 Hoa Le
scrum-sprint-fix1.png 46.6 KB 2019-03-07 Hoa Le
scrum-sprint-fix2.png 8.96 KB 2019-03-07 Hoa Le
